
difference() {
	cube([60,60,40]);
	translate([-5,7,3.5]) rotate([0,90,0]) cylinder(r=1.5,h=70,$fn=20);
	translate([1.2,1.2,0]) cube([60-2.4,60-2.4,40]);
}
translate([1,50,0]) cube([5,10,1]);
translate([54,50,0]) cube([5,10,1]);

translate([0,-10,0]) difference() {
	cube([10,10,5]);
	translate([5,5,0]) cylinder(r=2,h=5,$fn=50);
}
translate([50,-10,0]) difference() {
	cube([10,10,5]);
	translate([5,5,0]) cylinder(r=2,h=5,$fn=50);
}

translate([70,0,0]) {
	difference() {
		cube([60,60,40]);
		translate([-5,7,3.5]) rotate([0,90,0]) cylinder(r=1.5,h=70,$fn=20);
		translate([1.2,1.2,0]) cube([60-2.4,60-2.4,40]);
	}
	translate([1,50,0]) cube([5,10,1]);
	translate([54,50,0]) cube([5,10,1]);

	translate([10,-10,40]) rotate([0, 180 ,0]) difference() {
		union() {
			translate([0,0,5])prism(10,10,12);
			cube([10,10,5]);
		}
		translate([5,5,0]) cylinder(r=2,h=20,$fn=50);
	}
	translate([60,-10,40]) rotate([0, 180 ,0]) difference() {
		union() {
			translate([0,0,5])prism(10,10,12);
			cube([10,10,5]);
		}
		translate([5,5,0]) cylinder(r=2,h=20,$fn=50);
	}
}

module prism(l, w, h){
	polyhedron(
		points=[[0,0,0], [l,0,0], [l,w,0], [0,w,0], [0,w,h], [l,w,h]],
		faces=[[0,1,2,3],[5,4,3,2],[0,4,5,1],[0,3,4],[5,2,1]]
	);
}

translate([55+2.5, 55+65, 0]) rotate([0,0,180]) { 
	difference() {
		union() {
			cube([55,53,0.6]);
			translate([0, 0.5,0]) cube([10,8,5.6]);
			translate([45, 0.5,0]) cube([10,8,5.6]);
		}
		translate([-5, -2.5+7, -0.6+3.5]) rotate([0,90,0]) cylinder(r=1.5,h=70,$fn=20);
	}
}

translate([70+55+2.5, 55+65, 0]) rotate([0,0,180])
{ 
	difference() {
		union() {
			cube([55,53,0.6]);
			translate([0, 0.5,0]) cube([10,8,5.6]);
			translate([45, 0.5,0]) cube([10,8,5.6]);
		}
		translate([-5, -2.5+7, -0.6+3.5]) rotate([0,90,0]) cylinder(r=1.5,h=70,$fn=20);
	}
}